Get location information

post

/bi/v1/{orgIdentifier}/getLocationDimensions

Gets the location information for all or a specified location.

Request

Path Parameters
Body ()
The request body defines the details of the API request.
Root Schema : locDimRequestPayload
Type: object
Request payload for location dimensions
Show Source
  • Title: Application Name
    Maximum Length: 128
    The name of the application which is accessing the API.

    First Available Version: 20.1.10

  • Title: Include
    List of objects to include in response
  • Title: Location Reference
    The location reference, this may be a store number or name depending on the organization
  • Title: Search Criteria
    Search criteria to filter results based on field value
Back to Top

Response

Supported Media Types

200 Response

OK
Body ()
Root Schema : locationDimensions
Type: object
Show Source
Nested Schema : locations
Type: array
An array of Location Dimensions
Show Source
Nested Schema : location
Type: object
The response body contains information about a specified location.
Show Source
  • Title: Active
    Flag indicating if this location is active or not
  • Title: Address Line 1
    Maximum Length: 250
    Address Line 1. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: Address Line 2
    Maximum Length: 250
    Address Line 2. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: Address Line 3
    Maximum Length: 250
    Address Line 3. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: City
    Maximum Length: 40
    City for the relevant location or revenue center. This attribute is optional and will not be returned in the response by default. Use the include request attribute to request this field.

    First available version: 20.5.

  • Title: Two character country code
    Maximum Length: 2
    Two character country code as defined in ISO 3166-2 standard. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: Country name
    Maximum Length: 50
    Country name as defined in ISO 3166-2 standard. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: Currency
    Maximum Length: 3
    Abbreviation of the currency configured at the location. This attribute will not be returned in the response if value is null
  • Title: Location Reference
    Maximum Length: 99
    The location reference, this may be a store number or name depending on the organization
  • Title: Name
    Maximum Length: 99
    Name of the location
  • Title: Open Date
    The date this location was opened
  • Title: Telephone number
    Maximum Length: 20
    Telephone number. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: Telephone country code
    Maximum Length: 2
    Telephone country code. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: ZIP or Postalcode
    Maximum Length: 20
    ZIP or Postalcode. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: Region code
    Maximum Length: 6
    Region code as defined in ISO 3166-2 standard for subdivisions. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: Region name
    Maximum Length: 40
    Region name as defined in ISO 3166-2 standard for subdivisions. This attribute is optional and will not be returned in the response by default.

    First available version 20.1.16

  • Title: Source Name
    Maximum Length: 99
    The name of the POS system associated with this location
  • Title: Source Version
    Maximum Length: 99
    The POS version associated with this location
  • Title: Time Zone
    Maximum Length: 99
    Time zone configured at the location
  • Workstations
    Title: Workstations
    An array of workstations. This attribute will not be returned in the response if there are no workstations associated
Nested Schema : Workstations
Type: array
Title: Workstations
An array of workstations. This attribute will not be returned in the response if there are no workstations associated
Show Source
Nested Schema : workStation
Type: object
The response body contains information about a workstation for the specified location.
Show Source

400 Response

Bad Request
Body ()
Root Schema : exceptionDetailType
Type: object
Error Details
Show Source

401 Response

Unauthorized
Body ()
Root Schema : exceptionDetailType
Type: object
Error Details
Show Source

403 Response

Service Unavailable
Body ()
Root Schema : exceptionDetailType
Type: object
Error Details
Show Source

404 Response

Resource Not Found
Body ()
Root Schema : exceptionDetailType
Type: object
Error Details
Show Source

Default Response

Unexpected Error
Body ()
Root Schema : exceptionDetailType
Type: object
Error Details
Show Source
Back to Top

Examples

The following example shows how to get the location dimensions for a specified location by submitting a POST request on the REST resource using cURL. For more information, see Use cURL

curl -i -X POST -H "Authorization: Bearer 
  
   " -H "Content-Type:application/json" -d {"locRef":"1234"} https://baseurl/bi/v1/orgidentifier/getLocationDimensions 
  

Example of Response Header

The following shows an example of the response header.

HTTP/1.1 200 OK  Date: Tue, 20 Oct 2020 21:24:33 GMT  Transfer-Encoding: chunked  Content-Type: application/json

Example of Response Body

The following example shows the contents of the response body in JSON format:

{
 "locations":[{
  "locRef": "1234",
  "name": "McLean VA",
  "openDt": "2010-07-20",
  "active": true,
  "srcName": "Simphony",
  "srcVer": "18.2",
  "tz": "America/Denver",
  "curr": "USD",
  "addrLn1": "7031 Columbia Gateway Dr",
  "addrLn2": "Floor 3",
  "addrLn3": "Columbia, MD 21046",
  "postalCode": "21046",
  "phone": "4432856000",
  "phoneCountryCode": "1",
  "countryCode": "US",
  "countryName": "United States",
  "regionCode": "MD",
  "regionName": "Maryland"
  "workstations":[{
   "wsNum":1,
   "wsName": "register 1"
  }]
 }]
}
Back to Top